/*
ResMagik
Example 2
Resources in Winforms applications.

Copyright (c) 2007 Heinz Traub.
*/

using System;
using System.Resources;
using System.Windows.Forms;

namespace ResMagik
{
	class Example2 : Form
	{
		private ResourceManager rm;
		
		private Label lbl1, lbl2, lbl3;
		private PictureBox pb1, pb2;
		private Button btn1, btn2;
		
		public static void Main(string[] args)
		{
			Application.Run(new Example2());
		}
		
		public Example2()
		{
			rm = new ResourceManager("ex2-res",System.Reflection.Assembly.GetExecutingAssembly());
			
			lbl1 = new Label(); lbl1.Size = new System.Drawing.Size(420, 30); lbl1.Location = new System.Drawing.Point(5, 5); lbl1.Text = rm.GetString("string_1");
			lbl2 = new Label(); lbl2.Size = new System.Drawing.Size(420, 30); lbl2.Location = new System.Drawing.Point(5, 40); lbl2.Text = rm.GetString("string_2");
			lbl3 = new Label(); lbl3.Size = new System.Drawing.Size(420, 40); lbl3.Location = new System.Drawing.Point(5, 75); lbl3.Text = rm.GetString("string_3");
			pb1 = new PictureBox(); pb1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize; pb1.Location = new System.Drawing.Point(5, 130); pb1.Image = (System.Drawing.Image)rm.GetObject("Sphere.png");
			pb2 = new PictureBox(); pb2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle; pb2.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize; pb2.Location = new System.Drawing.Point(200, 155); pb2.Image = (System.Drawing.Image)rm.GetObject("heinz-rocks.jpg");
			btn1 = new Button(); btn1.Size = new System.Drawing.Size(75, 30); btn1.Location = new System.Drawing.Point(5, 250); btn1.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft; btn1.TextAlign = System.Drawing.ContentAlignment.MiddleRight; btn1.Click += new System.EventHandler(this.btn1Click); btn1.Text = rm.GetString("btn1_text"); btn1.Image = (System.Drawing.Image)rm.GetObject("question.bmp");
			btn2 = new Button(); btn2.Size = new System.Drawing.Size(55, 30); btn2.Location = new System.Drawing.Point(350, 250); btn2.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft; btn2.TextAlign = System.Drawing.ContentAlignment.MiddleRight; btn2.Click += new System.EventHandler(this.btn2Click); btn2.Text = rm.GetString("btn2_text"); btn2.Image = (System.Drawing.Image)rm.GetObject("exit.bmp");
			
			this.Size = new System.Drawing.Size(430, 320);
			this.MinimumSize = new System.Drawing.Size(430, 320);
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.MaximizeBox = false;
			this.Text = rm.GetString("app_title");
			this.Icon = (System.Drawing.Icon)rm.GetObject("Frog.ico");
			
			this.Controls.Add(lbl1);
			this.Controls.Add(lbl2);
			this.Controls.Add(lbl3);
			this.Controls.Add(pb1);
			this.Controls.Add(pb2);
			this.Controls.Add(btn1);
			this.Controls.Add(btn2);
		}
		
		void btn1Click(object sender, EventArgs e)
		{
			MessageBox.Show(string.Format(rm.GetString("btn1_click"), "\n", "\n"), rm.GetString("btn1_click_title"), MessageBoxButtons.OK, MessageBoxIcon.Information);
		}
		
		void btn2Click(object sender, EventArgs e)
		{
			this.Close();
		}
	}
}